package code.shared;

import javax.persistence.MappedSuperclass;

@MappedSuperclass
public abstract class AbstractDataBean<DATABEAN extends AbstractDataBean<DATABEAN>>
		extends DataBean<DATABEAN> {
	
    private int lastEventTypeId = 1; // 1 = create event; >1 = update event
    private java.util.Date createDate = new java.util.Date();
    private java.util.Date lastUpdate = createDate;
    
    /** Required Jpa constructor **/
    protected AbstractDataBean() {
    }
    
    // ------------------------------------- Attributes ---------------------------------------------
    
    public int getLastEventTypeId() {
    	return lastEventTypeId;
    }
    public void setLastEventTypeId(int lastEventTypeId) {
    	this.lastEventTypeId = lastEventTypeId;
    }
    public java.util.Date getCreateDate() {
    	return createDate;
    }
    public void setCreateDate(java.util.Date createDate) {
    	this.createDate = createDate;
    }
    public java.util.Date getLastUpdate() {
    	return lastUpdate;
    }
    public void setLastUpdate(java.util.Date lastUpdate) {
    	this.lastUpdate = lastUpdate;
    }
}
